/******************/
/***** Global *****/
/******************/

.m1-wrapper {
  position: relative;
  width: 1720px;
  height: 749px;
  overflow: hidden;
}

.background-dark {
  background-color: #323B41;
}

/***********************/
/***** Upper Chart *****/
/***********************/

.m1-title {
  height: 30px;
  line-height: 30px;

  font-size: 15px;
  font-weight: 600;
  color: #B0B0B1;

  padding-left: 20px;
  border-bottom: 1px solid #787B7D;
}

.m1-upper-panel {
  height: 230px;
}

/***** Circle Chart *****/
.chart-circle {
  height: inherit;
}

.chart-circle-inner {
  padding: 20px 40px;
}

.chart-circle-label {
  position: absolute;
  text-align: right;
  top: 80px;
  right: 100px;
  font-size: 30px;
  color: #FFFFFF;
}

/***** Line Chart *****/
.chart-line {
  height: inherit;
}

.c3-line-f-prodelec-kw {
  stroke-width: 2px;
}

.c3-line-f-demandelecall-kw {
  stroke-width: 2px;
}

/***** Legend *****/
.chart-legend {
  height: inherit;
  padding: 5px;
  font-size: 18px;
  font-weight: 600;
  color: #AA963D;
}

.chart-legend .inner {
  position: relative;
  background-color: #383F42;
  margin: 10px 10px;
}

.chart-legend .text-title {
  text-align: left;
}

.chart-legend .text-value {
  text-align: right;
}

.chart-legend .text-white {
  color: #B5B7B8;
}

.chart-legend .col-lg-6 {
  height: 36px;
  line-height: 36px;
}

/**********************/
/***** Main Panel *****/
/**********************/

.m1-main-panel {
  min-height: 519px;
}

.panel-arrow {
  height: 519px;
}

.panel-arrow > i {
  line-height: 519px;
  font-size: 100px;

  font-stretch: ultra-condensed;
}

/***** Inner Panel *****/
.m1-main-panel .inner-panel-wrapper {
  height: 250px;
  padding: 10px;
}

.m1-main-panel .inner-panel {
  background-color: #394043;
  height: 240px;
  padding: 10px;
}

.m1-main-panel .deactived {
  position: absolute;
  left: 0;
  top: 10px;
  height: 96%;
  width: 100%;
  z-index: 100;
  background-color: rgba(50,50,50,0.8);
}

.m1-main-panel .panel-title {
  position: absolute;
  top: 15px;
  width: 91%;
  font-size: 15px;
}

.m1-main-panel .title {
  float: left;
  color: #B0B0B1;
}

.m1-main-panel .heading {
  position: absolute;
  right: 20px;
  color: #45928D;
}

.m1-main-panel .ring_button {
  position: absolute;
  right: -5px;
  font-size: 20px;
  color: #B0B0B1;
}

.m1-main-panel .panel-body {
  position: absolute;
  height: 80%;
  width: 91%;
  bottom: 10px;
  padding: 0;
}

.panel-body .building-gauge-panel {
  position: relative;
  height: 100%;
  padding: 0;
  border-right: 1px solid #595959;
}

.building-gauge-panel .building-mask {
  position: relative;
  z-index: 2;
  left: 0;
  width: 149px;
  height: 157px;
  background: url('/../assets/images/building.png');
  background-repeat: no-repeat;
  background-size: contain;
}

.building-gauge-panel .building-background {
  position: absolute;
  z-index: 0;
  left: 2px;
  top: 2px;
  width: 145px;
  height: 150px;
  background-color: #595959;
}

.building-gauge-panel .building-backpanel {
  position: absolute;
  z-index: 1;
  left: 2px;
  bottom: 45px;
  width: 145px;
  height: 115px;
  background-color: #3DA099;
}

.mainloads {
  position: absolute;
  z-index: 10;
  top: 100px;
  height: 30px;
  width: 230px;
  color: #787B7D;
  border-bottom: 1px solid #787B7D;
}

.solar {
  position: absolute;
  z-index: 10;
  top: 10px;
  height: 30px;
  width: 280px;
  color: #3DA099;
  border-bottom: 1px solid #3DA099;
}

.gauge-data {
  position: absolute;
  right: 0;
  bottom: 0;
}

.gauge-title {
  position: absolute;
  font-size: 10px;
  text-align: right;
  bottom: 0;
  width: 50px;
  right: 70px;
}

.gauge-value {
  position: absolute;
  font-size: 20px;
  text-align: right;
  bottom: 0;
  width: 50px;
  right: 25px;
  line-height: 20px;
}

.gauge-unit {
  position: absolute;
  float: left;
  text-align: right;
  font-size: 10px;
  bottom: 0;
  width: 10px;
  right: 10px;
}

.panel-right {
  height: inherit;
  padding: 0;
}

.panel-independence {
  position: relative;
  height: 80px;
  width: 100%;
  color: #AA963D;
  border-bottom: 1px solid #595959;
}

.independence-title {
  position: relative;
  font-size: 10px;
  left: 5px;
}

.independence-value {
  position: relative;
  text-align: right;
  font-size: 65px;
  font-weight: lighter;
  right: 30px;
  bottom: 10px;
}

.independence-unit {
  position: absolute;
  text-align: right;
  font-size: 30px;
  right: 5px;
  bottom: 0;
}

.panel-legend {
  position: relative;
  bottom: -5px;
  left: 5px;
  width: 130px;
  font-size: 11px;
  color: #AA963D;
  padding: 5px;
}

.panel-legend .text-title {
  text-align: left;
}

.panel-legend .text-value {
  text-align: right;
}
